<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Счета');

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Биллинг панель </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/billing" rel="v:url" property="v:title">Биллинг</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Счета</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - Счета</div>';

if ($b == false) {
header('location: /');
die();
}
echo'<div class="row text_box"> Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="inwm.html">Пополнить</a></br>
Виртуальный счет <b>'.$b['gears'].'</b> G. <a href="ex.html">Обменять на WMR</a></div>';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - Мои счета</div>';

if (isset($_GET['ok'])) {
$arr = DB::$dbs->queryFetch("SELECT * FROM pay WHERE id = ? LIMIT 1", [abs((int)$_GET['ok'])]);
if ($arr['user_id'] != $b['id']) {
header('location: /');
die();
}
DB::$dbs->query("UPDATE `pay` SET `type` = ? WHERE `id` = ?", [3,$arr['id']]);
echo '<div class="row text_box">Оплата счета подтверждена! Дождитесь проверки администратором.</div>';
echo '<ul class="nav nav-pills nav-stacked"><li><a href="schet.html"><i class="md-apps"></i> Вернуться назад</a></ul>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
}
if (isset($_GET['ot'])) {
$arr = DB::$dbs->queryFetch("SELECT * FROM pay WHERE id = ? LIMIT 1", [abs((int)$_GET['ot'])]);
if ($arr['user_id'] != $b['id']) {
header('location: /');
die();
}
DB::$dbs->query("UPDATE `pay` SET `type` = ? WHERE `id` = ?", [2,$arr['id']]);
echo '<div class="row text_box">Оплата счета успешно отменена!</div>';
echo '<ul class="nav nav-pills nav-stacked"><li><a href="schet.html"><i class="md-apps"></i> Вернуться назад</a></ul>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM pay WHERE user_id = ?", [$b['id']]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM pay WHERE user_id = ? ORDER BY id DESC LIMIT $start,$num", [$b['id']]);
if ($sql -> rowCount() == 0) {
err('Пусто');
} else {
while($a = $sql->fetch()) {
$arrtype = [0 => 'Не оплачен', 1 => '<font color="green">Оплачен</font>', 2 => '<font color="red">Аннулирован</font>', 3 => '<font color="red">Ожидание проверки Администратора</font>'];
$type = strtr($a['type'], $arrtype);
echo '<div class="row text_box">Счет <b>'.$a['prim'].'</b>; сумма: <b>'.$a['rur'].'р.</b> ('.vr($a['time']).')<br/>';
if ($a['type'] == 0) {
echo '<b><a href="?ok='.$a['id'].'">Подтвердить</a></b> | <b><a href="?ot='.$a['id'].'">Отменить</a></b><br/>';
}
echo 'Статус: <b>'.$type.'</b></div>';
}
}
if ($k_page > 1) {
str('?',$k_page,$page);
}
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>